open-vm-tools 10.0.0

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Functions
utils.h File Reference
`#include <glib.h>`
`#include <signal.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Macros
#define | VMTOOLS_GUEST_SERVICE "vmsvc"
#define | VMTOOLS_USER_SERVICE "vmusr"
#define | VMTOOLS_EXTERN_C
#define | VMTOOLS_GET_FILENAME_LOCAL(path, err)
#define | VMTOOLS_RELEASE_FILENAME_LOCAL(path) g_free(path)
#define | VMTOOLS_WRAP_ARRAY(a) VMTools_WrapArray((a), sizeof *(a), G_N_ELEMENTS(a))

## Typedefs
typedef gboolean(* | SignalSourceCb) (const siginfo_t *, gpointer)

## Functions
G_BEGIN_DECLS void | vm_free (void *ptr)
gboolean | VMTools_LoadConfig (const gchar *path, GKeyFileFlags flags, GKeyFile **config, time_t *mtime)
gboolean | VMTools_WriteConfig (const gchar *path, GKeyFile *config, GError **err)
gboolean | VMTools_ChangeLogFilePath (const gchar *delimiter, const gchar *appendString, const gchar *domain, GKeyFile *conf)
GSource * | VMTools_NewSignalSource (int signum)
gchar * | VMTools_GetLibdir (void)
GSource * | VMTools_CreateTimer (gint timeout)
| Create a timer based on a monotonic clock source. More...
void | VMTools_SetGuestSDKMode (void)
void | VMTools_AcquireLogStateLock (void)
void | VMTools_ReleaseLogStateLock (void)
void | VMTools_StopLogging (void)
void | VMTools_RestartLogging (void)
void | VMTools_SuspendLogIO (void)
void | VMTools_ResumeLogIO (void)
GArray * | VMTools_WrapArray (gconstpointer data, guint elemSize, guint count)

## Detailed Description

Public functions from the VMTools shared library, and other definitions.